#version 460

#include "/lib/settings.glsl"

layout(location = 0) out vec4 outColor0;

uniform sampler2D gtexture;

in vec2 texCoord;

void main() {
	vec4 color = texture(gtexture, texCoord);
	if (color.a < 0.1) discard;

	outColor0 = color * SUN_BRIGHTNESS;
}